SpiderEyes = LibStub("AceAddon-3.0"):NewAddon("SpiderEyes", "AceEvent-3.0")
SpiderConsole = LibStub("AceConsole-3.0")
SpiderConfig = LibStub("AceConfig-3.0")
SpiderGUI = LibStub("AceGUI-3.0")

function SpiderEyes:OnInitialize()
	if type(SpiderEyesChar) ~= "table" then  
		SpiderEyesChar = {}
		SpiderEyesChar.class = UnitClass("Player")
		SpiderEyesChar.texture="Interface\\AddOns\\SpiderEyes\\Textures\\placeholder.tga"
	end
	if SpiderEyesChar.class == "Monk" then
		MonkLoad()
	end
	SpiderFrame:EnableMouse(false)
	SpiderFrame:SetPoint("CENTER", SpiderEyesChar.xOfs, SpiderEyesChar.yOfs)
	SpiderFrame:SetBackdropColor(0.2, 0.2, 0.2, 0)
end
function MonkLoad()
	SpiderEyesChar.power = 12
	SpiderEyes:RegisterEvent("UNIT_POWER", "Monk")
	local chi_power = UnitPower("Player",12)
	SpiderFrame:CreateTexture("SpiderFrame_Tex1", "artwork")
	SpiderFrame_Tex1:SetTexture(SpiderEyesChar.texture)
	SpiderFrame_Tex1:SetVertexColor(1,1,1)
	SpiderFrame_Tex1:SetWidth(1)
	SpiderFrame_Tex1:SetHeight(1)
end
local chi_powerMAX
function SpiderEyes:Monk()
	if UnitPower("Player",12) ~= chi_power then
		chi_power= UnitPower("Player",12)
		chi_powerMAX=UnitPowerMax("Player",12)
		if chi_powerMAX == 4 then
			
		end
		if chi_powerMAX == 5 then
			SpiderEyes_Chi5()
		end
			
	end
end
local locked = 0
function SpiderEyes_OnMouseDown()
	if(locked == 1) then
	SpiderFrame:StartMoving()
	end
end

function SpiderEyes_OnMouseUp()
	if(locked == 1) then
	SpiderFrame:StopMovingOrSizing()
	point, relativeTo, relativePoint, SpiderEyesChar.xOfs, SpiderEyesChar.yOfs = SpiderFrame:GetPoint()
	end
end


















local options = {
	name = "SpiderEyes",
	handler = SpiderConfig,
	type = 'group',
	args = {
		msg = {
			type = 'input',
			name = 'Test',
			desc = 'This is a test thing',
			set = 'SetMyMessage',
			get = 'GetMyMessage',
		},
		lock = {
			type = 'execute',
			name = 'Lock',
			desc = 'Locks/Unlocks the frame',
			func = function(info)
			if(locked ~= 1) then
				SpiderConsole:Print("SpiderEyes: Unlocked")
				SpiderFrame:EnableMouse(true)
				locked = 1
				SpiderFrame:SetBackdropColor(0.2, 0.2, 0.2, 0.6)
			elseif(locked == 1) then
				SpiderConsole:Print("SpiderEyes: Locked")
				SpiderFrame:EnableMouse(false)
				locked = 0
				SpiderFrame:SetBackdropColor(0.2, 0.2, 0.2, 0)
			end
		end,
		},
	},
}
LibStub("AceConfig-3.0"):RegisterOptionsTable("SpiderEyes", options, {"SpiderEyes"})
